#include <iostream>
#include <vector>
#include <utility>
#include <cassert>
#include <algorithm>

int main() {
    int t, a, b;
    std::cin >> t;
    assert(0 < t && t <= 2000);
    std::cin >> a;
    assert(0 < a && a < 100);
    std::vector<std::pair<int, int>> vc;
    vc.reserve(200);
    for(int i=0; i<a; i++) {
        int v;
        std::cin >> v;
        assert(0 <= v && v < 2000);
        vc.emplace_back(v, +1);
    }
    std::cin >> b;
    assert(0 < b && b < 100);
    for(int i=0; i<b; i++) {
        int v;
        std::cin >> v;
        assert(0 <= v && v < 2000);
        vc.emplace_back(v, -1);
    }
    assert(std::cin.good());

    std::sort(vc.begin(), vc.end(), [](std::pair<int, int> lhs, std::pair<int, int> rhs) {
        if(lhs.first == rhs.first) {
            return lhs.second > rhs.second;
        }
        return lhs.first < rhs.first;
    });
    for(int i=0; i<vc.size()-1; i++) {
        assert(vc[i] != vc[i+1]);
    }

    int carCount = 0;
    for(const auto& v : vc) {
        assert(v.first != t);
        carCount += v.second;
        assert(carCount >= 0);
    }

    carCount = 0;
    for(const auto& v : vc) {
        if(v.first < t) {
            carCount += v.second;
        }
    }
    std::cout << carCount << std::endl;

    return 0;
}
